div.sidebar {
	position: fixed;
	height: 100vh;
	min-width: 33%;
	max-width: 50%;
	background-color: #FFF;
	border-right: 1px solid #000;
	box-sizing: border-box;
	transform: translateX(-100%);
	transition: transform .5s;
}
div.sidebar div.inner {
	height: 100%;
	overflow: auto;
}
div.sidebar div.inner div.content {
	padding: 60px 20px;
}
div.sidebar div.toggle div.line {
	position: absolute;
	top: 0;
	left: 0;
	height: 2px;
	background-color: #000;
	transition: transform 0.25s, width 0.25s;
}
div.sidebar div.toggle div.l1 {
	width: 20px;
	transform: translate(15px, 17.5px) rotate(0deg);
	transform-origin: center;
	transition-delay: 0.1s;
}
div.sidebar div.toggle div.l2 {
	width: 15px;
	transform: translate(17.5px, 22.5px) rotate(0deg);
	transform-origin: center;
}
div.sidebar div.toggle div.l3 {
	width: 10px;
	transform: translate(20px, 27.5px) rotate(0deg);
	transform-origin: center;
	transition-delay: 0.1s;
}
input[type=text]#board-title {
	font-size: 2em;
	margin-bottom: 1em;
	width: calc(100% - 20px);
}

div.sidebar.open div.toggle div.l1 {
	width: 25px;
	transform: translate(12.5px, 22.5px) rotate(-45deg);
	transform-origin: center;
}
div.sidebar.open div.toggle div.l2 {
	width: 0;
	transform: translate(17.5px, 22.5px) rotate(0deg);
}
div.sidebar.open div.toggle div.l3 {
	width: 25px;
	transform: translate(12.5px, 22.5px) rotate(45deg);
	transform-origin: center;
}
div.sidebar.open {
	transform: translateX(0);
}
div.sidebar div.toggle {
	width: 50px;
	height: 50px;
	position: absolute;
	left: 100%;
	top: 60px;
	border: 1px solid #000;
	border-left-color: #FFF;
	background-color: #FFF;
	cursor: pointer;
}

div.sidebar div.datasource,
div.sidebar div.element {
	margin-bottom: 60px;
}
div.sidebar div.row {
	display: grid;
	grid-template-columns: .5fr 1.5fr;
	grid-gap: 0;
	margin-bottom: 20px;
}
div.sidebar input[type=text],
div.sidebar input[type=number],
select {
	border: none;
	border-bottom: 1px solid #000;
	padding: 5px 10px;
}
div.sidebar label {
	background-color: rgba(51,51,51,.05);
	border-bottom: 1px solid #000;
	border-right: 1px solid #000;
	padding: 5px 10px;
}